Comment 11 for bug 366398

Well, now I remember that on the same distro I am having that problem with KDE 4.1.0, I had KDE 3.5.9 installed. Back then I could run "kdesu konqueror" and it would work without any problems.

So, if now a "kdesu dolphin" doesn't work as it should, I don't think it is really a Xorg security problem, it is indeed a KDE problem.